Subject: bug#42569: 'No such file or directory builder' error while building with qemu-binfmt and --system=aarch64-linux

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 27 Jul 2020 22:16:03 -0400

Maxim Cournoyer <[email-masked]> writes:

> Hello!
>
> I just encountered the following error while trying to build on master
> (commit 2bd84c50ff7a8dafe83b6aa89cd0f01d5282c621) with:
>
> ./pre-inst-env guix build --system=aarch64-linux lib2geom
>

[...]

> The build machine is an offload Guix System machine running the
> qemu-binfmt service.

Apologies, no it wasn't!  None of the entries in /etc/guix/machines.scm
for my offload machine had 'aarch64-linux' defined for the system field.
I mistakenly thought the builds were being offloded but now I'm sure
they were occurring locally.

> The output directory,
> /gnu/store/3c0ihmfpazx3hkwyq3k0w8cdfi5ijdg4-lib2geom-1.0-1.42e119d
> doesn't exist yet, but I guess that's normal.
>
> A previous error (with the same message) when attempting to build
> plotutils led me to find out that the
> /gnu/store/2hibdxsj9f0zx3zilwh8phk1knk6y2fl-plotutils-2.6.tar.xz-builder
> file referred to in its
> /gnu/store/qcilzch61vsm9y4c3k4vbrl89g0fn8a3-plotutils-2.6.tar.xz.drv
> derivation did not exist, but retrying the build succeeded.

I mistakenly thought that build was occurring on my remote offload, but
there's no way it was.  So please ignore the my reports of nonexistent
files.